/***********************************************************************/
/*                                                                     */
/*  FILE        :intprg.c                                              */
/*  DATE        :Tue, May 19, 2009                                     */
/*  DESCRIPTION :interrupt program.                                    */
/*  CPU GROUP   :1B(ROM16K)                                            */
/*                                                                     */
/*  This file is generated by Renesas Project Generator (Ver.4.13).    */
/*                                                                     */
/***********************************************************************/
#include "main.h" 				// `t@C̏W

/***************************************************************************
 *  COMPILER for M16C/60,R8C/Tiny
 *  Copyright(c) 2004 Renesas Technology Corp.
 *  And Renesas Solutions Corp.,All Rights Reserved.                             *
 *  intprg.c : define variable vector table
 *		for R8C/1A,1B
 *
 *
 * $Date: 2005/11/24 06:49:45 $
 * $Revision: 1.3 $
 **************************************************************************/
// When you want to use BANK1 registers
// please define interrupt using /B swtich as follows.
//
//  #pragma interrupt/B xxxx
//

// BRK				(software int 0)
#pragma interrupt	_brk(vect=0)
void _brk(void){}

// vector 1 reserved
// vector 2 reserved
// vector 3 reserved
// vector 4 reserved
// vector 5 reserved
// vector 6 reserved
// vector 7 reserved
// vector 8 reserved
// vector 9 reserved
// vector 10 reserved
// vector 11 reserved
// vector 12 reserved

// input_key			(software int 13)
#pragma interrupt	_input_key(vect=13)
void _input_key(void){}

// A-D converter		(software int 14)
#pragma interrupt	_ad_converter(vect=14)
void _ad_converter(void){}

// SSU or I2CBUS		(software int 15)
#pragma interrupt	_ssu(vect=15)
void _ssu(void){}

// compare 1			(software int 16)
#pragma interrupt	_compare1(vect=16)
void _compare1(void){}

#if defined (__STANDARD_IO__) && (defined(__FOUSB__) ||  defined(__E8__))
// uart0 can't be used
#else
// uart0 trance			(software int 17)
#pragma interrupt	_uart0_trance(vect=17)
void _uart0_trance(void){}
#endif

// uart0 receive		(software int 18)
#pragma interrupt	_uart0_receive(vect=18)
void _uart0_receive(void){
	fnUart0_Rx();
}

#if defined(__STANDARD_IO__) || defined(__FOUSB__) || defined(__E8__)
// uart1 can't be used
#else
// uart1 trance			(software int 19)
#pragma interrupt	_uart1_trance(vect=19)
void _uart1_trance(void){}
#endif

// uart1 receive		(software int 20)
#pragma interrupt	_uart1_receive(vect=20)
void _uart1_receive(void){}

// vector 21 reserved

// timer X			(software int 22)
#pragma interrupt	_timer_x(vect=22)
void _timer_x(void){
	fnTimerX();
}

// vector 23 reserved

// timer Z			(software int 24)
#pragma interrupt	_timer_z(vect=24)
void _timer_z(void){}

// int1				(software int 25)
#pragma interrupt	_int1(vect=25)
void _int1(void){}

// int3				(software int 26)
#pragma interrupt	_int3(vect=26)
void _int3(void){}

// timer C			(software int 27)
#pragma interrupt	_timer_c(vect=27)
void _timer_c(void){}

// compare 0			(software int 28)
#pragma interrupt	_compare0(vect=28)
void _compare0(void){}

// int0				(software int 29)
#pragma interrupt	_int0(vect=29)
void _int0(void){}

// vector 30 reserved
// vector 31 reserved

// vector 32 for user
// vector 33 for user
// vector 34 for user
// vector 35 for user
// vector 36 for user
// vector 37 for user
// vector 38 for user
// vector 39 for user
// vector 40 for user
// vector 41 for user
// vector 42 for user
// vector 43 for user
// vector 44 for user
// vector 45 for user
// vector 46  for user
// vector 47  for user
// vector 48  for user
// vector 49  for user
// vector 50  for user
// vector 51  for user
// vector 52  for user
// vector 53  for user
// vector 54  for user
// vector 55  for user
// vector 56  for user
// vector 57  for user
// vector 58  for user
// vector 59  for user
// vector 60  for user
// vector 61  for user
// vector 62  for user
// vector 63  for user

